package container;

// Suggested in the textbook.

/** Runtime exception thrown when someone tries to modify/remove an
 * entry in an adaptable data structure.  If the entry isn't currently
 * in the data structure (e.g., it's already been removed), then we'd
 * better complain by throwing a different exception.
 */

public class InvalidEntryException extends RuntimeException {
  public InvalidEntryException() { }
  public InvalidEntryException(String err) { super(err); }
}
